imagemouth
Willkommen Gast.
Um die volle Funktionalität des Forums nutzen zu können,
müssen Sie sich einloggen oder registrieren.
Haben Sie Ihre Aktivierungs E-Mail übersehen?

 
Erweiterte Suche

31.110 Beiträge in 6.475 Themen- von 6.477 Mitglieder - Neuestes Mitglied: Frideborg

23-02-2020 09:33:03
JOOM::GALLERY::FORUMArchivPonyGallery MLInstallation / UpdateKeine Menüpunkte im Joomla-Backend
Seiten: [1] 2
Drucken
Autor Thema: Keine Menüpunkte im Joomla-Backend  (Gelesen 19781 mal)
0 Mitglieder und 1 Gast betrachten dieses Thema.
fu4u
Newbie
*
Offline Offline

Beiträge: 8


« am: 12-07-2008 20:25:22 »

Habe heute, um Pony ML zu testen, lokal die Joomla-Komponente PONYGALLERY_ML_2_5_1_INSTALL.zip in mein Joomla 1.0.15 installiert. Macht zunächst den Eindruck, als hätte alles geklappt. Allerdings gibt es zu dem Eintrag "PonyGallery ML" im Joomla-Components-Menü überhaupt keine Untermenüpunkte, wie ich sie in einer Doku gesehen habe.

Klick auf den Eintrag "PonyGallery ML" bringt lediglich eine Seite mit folgendem Text:

PonyGallery ML Admin-Menu

PonyGallery ML
By: M. Andreas Böttcher (mab) & Benjamin Malte Meier (b2m)
& Andreas Hartmann (aHa) & The ML-Team
[Based on: PonyGallery by Danial Taherzadeh]
Version 2.5.1, BUILD 20080226

Sonst nichts.

Auffällig ist auch (wirklich?), dass im Joomla-Menü "Installers - Components" die installierte Komponnete PonyGallery ML ohne weitere Informationen (Autor, Version, Datum etc.) angezeigt wird.

Kennt ihr dieses Problem?

Danke & Gruß
fu4u
Gespeichert
aHa
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 2.367


WWW
« Antworten #1 am: 12-07-2008 22:05:40 »

Hallo fu4u,
das ist wirklich interessant. Es ist natürlich schwer dabei zu helfen, eine lokal installierte Komponente in Gang zu bringen....
Manchmal hilft ein Link oder ein Einblick in das Backend.

Im Moment kann ich Dir nur einige Fragen stellen:

- Welches Betriebssystem nutzt Du?
- Unter welcher Umgebung hast Du Joomla! lokal installiert (XAMPP usw.) ?
- Welche PHP Version wird eingesetzt?
- Funktioniert die Installation anderer Komponenten?
- Hast Du mehrmals versucht, die PonyGallery ML in der Umgebung zu installieren?

Gruß
Andreas

« Letzte Änderung: 13-07-2008 00:16:46 von aHa » Gespeichert
fu4u
Newbie
*
Offline Offline

Beiträge: 8


« Antworten #2 am: 13-07-2008 09:20:34 »

Hallo Andreas,

erst mal vielen Dank für die kurze Reaktionszeit.

Nun, ich arbeite mit XP (SP3, ist es wichtig zu wissen, dass das der 1. Joomla-Komponenten-Installationsversuch seit der SP3-Installation ist, ich hoffe doch nicht...?) mit WOSportable (Webserver On Stick):
Apache 2.2.4 is running
PHP 5.2.3 works
MySql 5.0.41-community-nt is running
ImageMagick 4.2.9 is available and works

Ich praktiziere es "leider" immer so, dass ich neue Komponenten etc. erst mal lokal teste, bevor ich sie auf die Öffentlichkeit loslasse. Habe es aber gerade mal bei meinem "Remote-Auftritt" getestet, da komme ich noch weniger weit, da kommt die Meldung "Upload failed - ERROR: Could not find an XML setup file in the package." Verstehe jetzt gar nichts mehr!?

Ob die Installation anderer Komponenten (bin jetzt wieder bei "lokal") funktioniert, werde ich nachher mal am Bsp. des "Konkurrenzprodukts" IceGallery testen.

Ich habe die Installation mehrfach mit demselben Ergebnis versucht.

Gruß
Uli
« Letzte Änderung: 13-07-2008 09:42:04 von fu4u » Gespeichert
aHa
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 2.367


WWW
« Antworten #3 am: 13-07-2008 11:36:28 »

Hallo Uli,
danke für die ausführliche Antwort. Da die Probleme mit der Installation auch 'remote' auftreten, vermute ich ein defektes Zip.
Lade es bitte noch einmal hier herunter und versuche es testweise lokal zu entpacken. Wenn das ohne Probleme funktioniert, versuche es noch einmal mit der Installation des Zip.

Gruß
Andreas

P.S. Danke für den Tipp mit WOSportable. Den probiere ich mal aus
Gespeichert
fu4u
Newbie
*
Offline Offline

Beiträge: 8


« Antworten #4 am: 13-07-2008 12:59:27 »

Hallo Andreas,

soll wohl nicht sein. Ich hatte die Zip-Datei ja genau von dem angegebenen Ort herunter geladen, habe ich jetzt noch mal getan, sie lässt sich auch problemlos entpacken, aber "Upload and Install" der Datei führt zum alten Ergebnis: Es funktioniert nicht.

Gruß
Uli

P.S.1: Hast Du es schon mal erlebt, dass manuelle Installation (was müsste dazu getan werden?) - besser (oder überhaupt) - klappt?
P.S.2: IceGallery konnte ich gerade problemlos lokal installieren...
Gespeichert
aHa
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 2.367


WWW
« Antworten #5 am: 13-07-2008 14:14:52 »

Hallo Uli,

ich installiere gerade WOS Portable II, das dauert noch ein wenig. Ich hätte nicht alle Optionen auswählen sollen sm_smile
Von der manuellen Installation rate ich ab. Du müsstest die Vorgaben aus der ponygallery.xml abarbeiten. Einschließlich der DB-Queries.....
Deinstalliere mal die PonyGallery ML, wenn noch nicht geschehen. Überprüfe dann mit phpmyAdmin, ob die PonyTabellen noch vorhanden sind.

Gruß
Andreas
Gespeichert
aHa
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 2.367


WWW
« Antworten #6 am: 13-07-2008 15:29:09 »

Hallo Uli,
bist Du sicher, dass Du Joomla! 1.0.15 installiert hast?

Gruß
Andreas
Gespeichert
fu4u
Newbie
*
Offline Offline

Beiträge: 8


« Antworten #7 am: 13-07-2008 15:42:10 »

Das bin ich in der Tat: Joomla! 1.0.15 Stable [ Daytime ] 22 February 2008 23:00 UTC

Was IceGallery betrifft, so hat das bisher auch nur lokal problemlos geklappt, remote scheitere ich an dem Sch... SafeMode = On. Auch "Install from Directory" schlägt fehl, weil das betreffende Komponenten-Verzeichnis com_ice angeblich bereits verwendet wird, dabei sehe ich es im FTP-Programm überhaupt nicht.

Gibt es bei SafeMode = On noch eine weitere funktionierende Möglichkeit, eine neue Komponente in Joomla zu installieren

Gruß
Uli
Gespeichert
aHa
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 2.367


WWW
« Antworten #8 am: 13-07-2008 17:29:35 »

ok, ich wollte nur einmal nachfragen....

Ich betreibe eine Website mit Safe Mode = on und habe bisher keine Probleme gehabt. Ganz im Gegenteil, mir gefällt es besonders, dass der FTP-User dem WebUser entspricht.
Aber das nur nebenbei... Wahrscheinlich meinst Du eher das wwwrun-Problem...

Ohne jetzt näher auf das Problem mit der IceGallery einzugehen, allgemein: Wenn das Verzeichnis schon existiert, solltest Du dafür sorgen, dass vor einer Installation diese nicht mehr existieren. Es deutet darauf hin, dass ein vorheriges Deinstallieren nicht richtig funktioniert hat. Dies sollte eigentlich alle Verzeichnisse und die DB-Tabellen restlos entfernen. Also lösche diese manuell vor einer Neuinstallation

Gruß
Andreas



Gespeichert
fu4u
Newbie
*
Offline Offline

Beiträge: 8


« Antworten #9 am: 13-07-2008 19:00:15 »

Hallo Andreas,

heißt das im Klartext, dass Du trotz SafeMode = On (ich habe offen gestanden keinen Schimmer, was das bzgl. FTP-User, wwwrun etc. für Auswirkungen hat) neue Joomla-Komponenten auf dem leichten Weg installieren kannst.

Ich habe es jetzt nur per "Workaround" geschafft, indem ich die neue Komponente (leider eben das Konkurrenzprodukt) lokal installiert habe und dann per FTP die erzeugten Verzeichnisse sowie per MySQLDumper die Datenbank zum Remote-Host übertragen habe.

Gruß
Uli
Gespeichert
aHa
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 2.367


WWW
« Antworten #10 am: 13-07-2008 19:42:41 »

Hi Uli,

ich nenne Dir nur einmal die Konfiguration des Server in stark verkürzter Form, damit treten keine Probleme auf.
Es liegt natürlich daran, dass der Apache hier nicht als Modul, sondern im FCGI Mode läuft....
Hier sind der User, der Komponenten installiert und der User, der per FTP überträgt, identisch.

Code:
Database Version: 4.1.11-Debian_4sarge8
PHP Version: 4.3.10-22
Web Server: Apache
WebServer to PHP interface: cgi-fcgi

Relevant PHP Settings:
...
Safe Mode: ON
...

Hier die Einstellung eines Server, mit dem das wwwrun-Problem auftritt.
Die User (FTP und Install-User) sind unterschiedlich.

Code:
...
Database Version: 4.1.21-max-log
PHP Version: 4.4.8
Web Server: Apache
WebServer to PHP interface: apache2handler

Relevant PHP Settings:
...
Safe Mode: OFF
...

Soweit in Kürze.
Ich hoffe, es meldet sich ein Webhoster, der meine Aussagen bestätigt oder widerlegt.  sm_smile
Es sind meine persönlichen Erfahrungen.

Du fragst Dich was jetzt der Safe Mode damit zu tun hat? Eine gute Erklärung findest Du hier in Englisch.
Es geht grundsätzlich um eine Vielzahl von Restriktion auf Webspaces, auf denen sich mehrere Domains befinden.

Aber zurück zu der PonyGallery sm_wink

Hast Du es geschafft, diese zu installieren?
Oder bist Du bei der Ice geblieben?

Gruß und schönen Abend noch
Andreas
Gespeichert
fu4u
Newbie
*
Offline Offline

Beiträge: 8


« Antworten #11 am: 13-07-2008 19:48:08 »

Wie schon gesagt, ich musste das Konkurrenzprodukt "Ice" nehmen, weil sich dieses wenigstens lokal problemlos installieren ließ und somit nach "remote" migriert werden konnte.

Mit Pony war das ja lokal auch nicht gegangen, so dass ich damit auch lokal schon hätte "fummeln" müssen...

Gruß
Uli
Gespeichert
Claudia E.
Global Moderator
Hero Member
*****
Offline Offline

Beiträge: 1.842



« Antworten #12 am: 13-07-2008 21:23:57 »

Ich kann (aus Erfahrung) bestätigen, auch wenn ich ganz gewiss kein Hoster bin Grin, dass der Safe Mode ON keine Probleme macht, wenn PHP als FCGI und nicht als Modul läuft.
Das Problem bei PHP als Modul sind, wie aHa bereits geschrieben hat, die unterschiedlichen Besitzrechte.
Dass so etwas auch lokal auftreten kann ist mir allerdings neu.
Gespeichert

Freundliche Grüße von
Claudia
fu4u
Newbie
*
Offline Offline

Beiträge: 8


« Antworten #13 am: 13-07-2008 21:28:49 »

Hallo Claudia,

sorry, aber mittlerweile verstehe ich nur noch Bahnhof, irgendwie habt ihr mich abgehängt, was mein Ausgangsproblem angeht...

Gruß
Uli
Gespeichert
Claudia E.
Global Moderator
Hero Member
*****
Offline Offline

Beiträge: 1.842



« Antworten #14 am: 13-07-2008 22:07:12 »

Ups! sm_wink

Hallo Uli,
dich zu verwirren war mit Sicherheit nicht meine Absicht.
Mein Post sollte lediglich die Erfahrungen bestätigen, die aHa geschildert hat (zum Thema Safe Mode).
Ich bin wahrscheinlich noch ahnungsloser als du - jedenfalls weiß ich nicht mal, was WOSportable ist. sm_smile
An der ganzen Geschichte hier irritiert mich einfach von Anfang an, dass du es lokal nicht schaffst, die Pony zu installieren - zumindest da sollte es problemlos klappen.
Insofern kann ich - aus meiner Sicht der Dinge als eigentlich nicht-viel-Wissende - nur vermuten, dass irgendwelche Einstellungen oder so bei dir nicht stimmen.
Das ist kein Angriff, um Himmels Willen! Ich versuche "nur", Erklärungen für mich zu finden. sm_smilewinkgrin
Gespeichert

Freundliche Grüße von
Claudia
Seiten: [1] 2
Drucken
Gehe zu:  

HOSTED BY SCHWARZKÜNSTLER ®

PROTECTED BY  ZB BLOCK  AND Project Honey Pot
Theme orange-lt created by panic

Bad Behavior has blocked 2946 access attempts in the last 7 days.

mouth